Skip to main content
GET
/
issues
JavaScript
import Antimetal from '@antimetal/sdk';

const client = new Antimetal({
  apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const issueListResponse of client.issues.list()) {
  console.log(issueListResponse.uuid);
}
{
  "object": "list",
  "data": [
    {
      "uuid": "<string>",
      "number": 4503599627370495,
      "title": "<string>",
      "description": "<string>",
      "severity": "low",
      "status": "investigating",
      "environment": "<string>",
      "triggeredAt": "2023-11-07T05:31:56Z",
      "seedCount": 4503599627370495
    }
  ],
  "has_more": true,
  "after": "<string>",
  "before": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication via Bearer token

Headers

Antimetal-Version
string
default:2026-03-17

The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's info.version field to opt into exactly this version's schema.

Example:

"2026-03-17"

Query Parameters

limit
integer
default:10

Number of items to return (1-100)

Required range: 1 <= x <= 100
startingAfter
string

Cursor for forward pagination (ID/UUID to start after)

endingBefore
string

Cursor for backward pagination (ID/UUID to end before)

status
enum<string>

Filter by issue status

Available options:
investigating,
ready_to_fix,
resolved,
muted
environment
string

Filter by environment (exact match)

Minimum string length: 1

Search issues by title or description (case-insensitive substring match)

Minimum string length: 1

Response

Paginated list of issues

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
after
string
before
string